Subject: bug#51146: 29.0.50; file-notify-add-watch not reporting changes of files

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Oct 2021 16:54:17 +0300

> From: Carlos Pita <[email-masked]>
> Date: Tue, 12 Oct 2021 01:52:37 -0300
> 
> I think that either this is a bug or the documentation is very
> misleading in that the library provides a unified interface. If it is a
> bug, it doesn't seem to be an easy cure, at least if we are to believe
> what was said in the referenced ycombinator thread.

IMO, this is a bug in macOS: the kqueue feature is incomplete and
unreliable.  I suggest to file a bug report with kqueue developers
about that.  I don't see how Emacs can do anything to improve the
situation on macOS regarding file notifications, as long as macOS
doesn't get their act together and fix this.